## imcode.server.user
Class ExternalizedImcmsAuthenticatorAndUserRegistry

    java.lang.Object
      imcode.server.user.ExternalizedImcmsAuthenticatorAndUserRegistry

All Implemented Interfaces:
  Authenticator, UserAndRoleRegistry

    public class ExternalizedImcmsAuthenticatorAndUserRegistry

extends java.lang.Object
implements UserAndRoleRegistry, Authenticator

Constructor Summary
`ExternalizedImcmsAuthenticatorAndUserRegistry(ImcmsAuthenticatorAndUserAndRoleMapper imcmsAndRole, Authenticator externalAuthenticator, UserAndRoleRegistry externalUserRegistry, java.lang.String defaultLanguage)`

Method Summary
`boolean` `authenticate(java.lang.String loginName, java.lang.String password)`
`java.lang.String[]` `getAllRoleNames()`
`java.lang.String[]` `getRoleNames(UserDomainObject user)`
`UserDomainObject` `getUser(java.lang.String loginName)`
`void` `synchRolesWithExternal()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalizedImcmsAuthenticatorAndUserRegistry

    public ExternalizedImcmsAuthenticatorAndUserRegistry(ImcmsAuthenticatorAndUserAndRoleMapper imcmsAndRole,
                                                         Authenticator externalAuthenticator,
                                                         UserAndRoleRegistry externalUserRegistry,
                                                         java.lang.String defaultLanguage)
                                                  throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

Method Detail

### synchRolesWithExternal

    public void synchRolesWithExternal()

### authenticate

    public boolean authenticate(java.lang.String loginName,
                                java.lang.String password)

  Specified by:
    `authenticate` in interface `Authenticator`

### getUser

    public UserDomainObject getUser(java.lang.String loginName)

  Specified by:
    `getUser` in interface `UserAndRoleRegistry`

### getRoleNames

    public java.lang.String[] getRoleNames(UserDomainObject user)

  Specified by:
    `getRoleNames` in interface `UserAndRoleRegistry`

### getAllRoleNames

    public java.lang.String[] getAllRoleNames()

  Specified by:
    `getAllRoleNames` in interface `UserAndRoleRegistry`